iDEAL removes support for versions before 3.3

08/01/2013 Industry news

As of today iDEAL only supports the version 3.3 and later of the online payment system. The payment standard is modified in the context of the Single European Payment Area.

If you have contracted to MultiSafepay payment processes you do not need to do anything. Our software is already adapted and running the new 3.3 version iDEAL. Therefore, you can continuing processing iDEAL payments in your online store without interruption.

Currence announced last March that all connected Dutch banks supported the new standard. MultiSafepay updated to the latest version in its most recent payment period so that you can continue to receive iDEAL payments.

More foreign banks can use iDEAL

Previously iDEAL had been based on a transfer between two Dutch bank accounts. Foreign banks and payment institutions had to integrate with the checkout experience on the Dutch payment infrastructure. With the recent adjustments to the iDEAL SEPA standards, this is no longer necessary. Administrator Currence expects that more foreign banks will start to offer their customers iDEAL payment services so they can gain exposure to the Dutch e-commerce market.